<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories = array();  
		$of_categories_obj = get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;
    }
		//$categories_tmp = array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages = array();
		$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp = array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select = array("one","two","three","four","five"); 
		$of_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
    
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" => "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path =  get_stylesheet_directory(). '/images/pattern/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/pattern/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr = wp_upload_dir();
		$all_uploads_path = $uploads_arr['path'];
		$all_uploads = get_option('of_uploads');
		$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
    $camera_slide_effect = array('random','simpleFade', 'curtainTopLeft', 'curtainTopRight', 'curtainBottomLeft', 'curtainBottomRight', 'curtainSliceLeft', 'curtainSliceRight', 'blindCurtainTopLeft', 'blindCurtainTopRight', 'blindCurtainBottomLeft', 'blindCurtainBottomRight', 'blindCurtainSliceBottom', 'blindCurtainSliceTop', 'stampede', 'mosaic', 'mosaicReverse', 'mosaicRandom', 'mosaicSpiral', 'mosaicSpiralReverse', 'topLeftBottomRight', 'bottomRightTopLeft', 'bottomLeftTopRight', 'bottomLeftTopRight', 'scrollLeft', 'scrollRight', 'scrollHorz', 'scrollBottom', 'scrollTop');
    
/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

$of_options[] = array( "name" => "عمومی",
					"type" => "heading");
					
$of_options[] = array( "name" => "لوگوی دلخواه",
					"desc" => "تصویر خود را آپلود کنید و یا آدرس آن را وارد کنید",
					"id" => "main_logo",
					"std" => "",
					"type" => "media");
					
$of_options[] = array( "name" => "فاو آیکون دلخواه",
					"desc" => "فاو آیکون را اپلود کنید",
					"id" => "favicon",
					"std" => "",
					"type" => "media");
          
$of_options[] = array( "name" => "کد آمارگیر",
					"desc" => "کد های آمارگیر مانند گوگل آنالیز و... را در اینجا وارد کنید",
					"id" => "google_analytics",
					"std" => "",
					"type" => "textarea");        

$of_options[] = array( "name" => "متن 404",
					"desc" => "متن صفحه 404 را اینجا وارد کنید",
					"id" => "page_not_found_text",
					"std" => "",
					"type" => "textarea");        

$of_options[] = array( "name" => "متن کپی رایت پاورقی",
					"desc" => "متن کپی رایت پاورقی را اینجا وارد کنید",
					"id" => "footer_text",
					"std" => "",
					"type" => "textarea");  

$of_options[] = array( "name" => "سربرگ",
					"type" => "heading");
					
$of_options[] = array( "name" => "متن دلخواه سمت راست در بالای سایت",
					"desc" => "متن دلخواه خود را وارد کنید",
					"id" => "info_text",
					"std" => "",
					"type" => "textarea");

$of_options[] = array( "type" => "info",
                    "std" => "بلوک های پشتیبانی و اطلاعات تماس سربرگ");
                    
$of_options[] = array( "name" => "راهنما &amp; و متن پشتیبانی",
					"desc" => "متنی که نمایش داده می شود را وارد کنید",
					"id" => "support_help_text",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "لینک راهنما و پشتیبانی",
					"desc" => "آدرس لینک را وارد کنید",
					"id" => "support_help_url",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "متن چت آنلاین",
					"desc" => "متنی که نمایش داده می شود را وارد کنید",
					"id" => "support_chat_text",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "لینک چت آنلاین",
					"desc" => "لینک چت آنلاین را وارد نمایید",
					"id" => "support_chat_url",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "متن ورود",
					"desc" => "متن ورود را وارد کنید",
					"id" => "support_login_text",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "لینک ورود",
					"desc" => "لینک ورود دلخواه را وارد کنید",
					"id" => "support_login_url",
					"std" => "",
					"type" => "text");
                     
$of_options[] = array( "name" => "صفحه نخست",
                    "type" => "heading");

$of_options[] = array( "name" => "ناحیه پیشنهاد پشتیبانی",
					"desc" => "",
					"id" => "introduction",
					"std" => "بخش زیرین اسلایدر",
					"icon" => true,
					"type" => "info");                                                          

$of_options[] = array( "name" => "متن ها",
					"desc" => "متن دلخواه سمت راست",
					"id" => "call_to_action_text",
					"std" => "",
					"type" => "textarea");

$of_options[] = array( "name" => "لینک دلخواه",
					"desc" => "لینک دلخواه خود را وارد کنید.",
					"id" => "call_to_action_url",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "دکمه",
					"desc" => "متن دکمه دلخواه را وارد کنید",
					"id" => "call_to_action_btntext",
					"std" => "",
					"type" => "text");
          
$of_options[] = array( "name" => "اسلایدشو",
					"type" => "heading");

$of_options[] = array( "name" => "ترتیب نمایش اسلاید",
					"desc" => "",
					"id" => "slideshow_order",
					"std" => "date",
					"type" => "select",
					"options" => array("author","date","title","modified","menu_order","parent","ID","rand"));				                                                    

$of_options[] = array( "type" => "info",
                    "std" => "تنظیمات فلکس اسلایدر");
                    
$of_options[]	= array(	"name" => "سرعت اسلاید شو",
    			"desc" => "بر اساس میلی ثانیه",
          "std" => "4000",
    			"id" => "flexslider_speed",
    			"type" => "text");				               
          
$of_options[] = array( "type" => "info",
                    "std" => "تنظیمات اسلایدر چرخشی");
                    
$of_options[]	= array(	"name" => "سرعت چرخش",
    			"desc" => "سرعت بر اساس میلی ثانیه . مثال: 4000",
          "std" => "4000",
    			"id" => "carousel_speed",
    			"type" => "text");				                                                    
          
$of_options[] = array( "name" => "نمونه کارها",
					"type" => "heading");
          
$of_options[] = array( "name" => "ترتیب آیتم های نمونه کارها",
					"desc" => "مشخص کنید نمونه کارها بر اساس چه پارامتر هایی نمایش داده شود",
					"id" => "portfolio_order",
					"std" => "date",
					"type" => "select",
					"options" => array("author","date","title","modified","menu_order","parent","ID","rand"));

$of_options[] = array( "name" => "لینک بند انگشتی",
					"desc" => "لطفا لینک بند انگشتی را انتخاب کنید",
					"id" => "thumbnail_link",
					"std" => "",
					"type" => "select",
					"options" => array("Image Lightbox","Portfolio Item"));
                 
$of_options[] = array( "name" => "وبلاگ",
					"type" => "heading");

          
$of_options[] = array( "name" => "برگه اخبار",
					"desc" => "لطفا صفحه اخبار خود را انتخاب کنید",
					"id" => "blog_page",
					"std" => "",
					"type" => "select",
					"options" => $of_pages);
          
$of_options[] = array( "name" => "ترتیب نوشته های اخبار",
					"desc" => "لطفا ترتیب نمایش اخبار را وارد نمایید",
					"id" => "blog_order",
					"std" => "date",
					"type" => "select",
					"options" => array("author","date","title","modified","menu_order","parent","ID","rand"));
          
$of_options[]	= array(	"name" => "تعداد نوشته ها در هر صفحه",
    			"desc" => "",
          "std" => "3",
    			"id" => "blog_item_number",
    			"type" => "text");			

$of_options[] = array( "name" => "غیر فعال سازی بخش دیدگاه ها",
					"desc" => "اگر میخواهید بخش نظرات غیر فعال شود این گزینه را تیک بزنید",
					"id" => "disable_comment",
					"std" => "false",
					"type" => "checkbox");

$of_options[] = array( "name" => "غیر فعال سازی متا ها",
					"desc" => "اگر میخواهید اطلاعات متا مانند نویسنده ، تعداد نظرات ، دسته بندی و... را غیر فعال کنید این گزینه را تیک بزنید",
					"id" => "disable_metapost",
					"std" => "false",
					"type" => "checkbox");
          
$of_options[] = array( "name" => "تماس با ما",
					"type" => "heading");
      
$of_options[] = array( "name" => "آدرس دفتر",
					"desc" => "وارد کردن آدرس محل کار.",
					"id" => "info_address",
					"std" => "",
					"type" => "textarea");    

$of_options[] = array( "name" => "تلفن تماس",
					"desc" => "تلفن تماس خود را وارد کنید.",
					"id" => "info_phone",
					"std" => "",
					"type" => "text");    


$of_options[] = array( "name" => "Additional Phone nubmer",
					"desc" => "Please add your phone number here.",
					"id" => "info_phone2",
					"std" => "",
					"type" => "text");    

$of_options[] = array( "name" => "آدرس ایمیل پشتیبانی",
					"desc" => "آدرس ایمیل خود را وارد کنید",
					"id" => "info_email",
					"std" => "",
					"type" => "text");
          
$of_options[] = array( "name" => "Addiotional E-mail Address",
					"desc" => "Please add your e-mail address here.",
					"id" => "info_email2",
					"std" => "",
					"type" => "text");
          
$of_options[] = array( "name" => "پیام موفقیت امیز",
					"desc" => "پیغامی که هنگام ارسال موفقیت امیز فرم تماس نمایش داده می شود",
					"id" => "success_message",
					"std" => "",
					"type" => "textarea");

$of_options[] = array( "type" => "info",
            "std" => "پروفایل های شبکه های اجتماعی");
           	  
$of_options[] = array( "name" => "Linkedin URL",
					"desc" => "ادرس linkedin",
					"id" => "linkedin_url",
					"std" => "",
					"type" => "text");                                    

$of_options[] = array( "name" => "Twitter ID",
					"desc" => "یوزر توییتر",
					"id" => "twitter_id",
					"std" => "",
					"type" => "text");             
                             		
$of_options[] = array( "name" => "Facebook URL",
					"desc" => "ادرس صفحه فیسبوک",
					"id" => "facebook_url",
					"std" => "",
					"type" => "text"); 
          
$of_options[] = array( "name" => "Google Plus URL",
					"desc" => "آدرس گوگل +",
					"id" => "googleplus_url",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "استایل",
					"type" => "heading");

$url =  ADMIN_DIR . 'assets/images/bgcolor/';
$of_options[] = array( "name" => "رنگ بندی",
					"desc" => "لطفا رنگ بندی پیشفرض پوسته را انتخاب کنید",
					"id" => "predefined_skin",
					"std" => "green",
					"type" => "images",
					"options" => array(
						'blue' => $url . 'blue.png',
						'soft-blue' => $url . 'blue2.png',
            'green' => $url . 'green.png',
            'teal' => $url . 'green2.png',
            'dark' => $url . 'dark.png',
            'grey' => $url . 'gray.png',
            'red' => $url . 'red.png',
						'pink' => $url . 'pink.png',
            'purple' => $url . 'purple.png',
						'brown' => $url . 'brown.png'
        )
      );

$of_options[] = array( "name" => "فونت بدنه",
					"desc" => "این گزینه غیر فعال است. فونت پیشفرض تاهوما می باشد",
					"id" => "body_font",
					"std" => array('size' => '12px','face' => 'tahoma','style' => 'normal','color' => '#787878'),
					"type" => "typography"); 
          
$of_options[] = array( "name" => "سی اس اس دلخواه",
                    "desc" => "کد CSS دلخواه خود را وارد کنید",
                    "id" => "custom_css",
                    "std" => "",
                    "type" => "textarea");

// Backup Options
$of_options[] = array( "name" => "پشتیبان گیری",
					"type" => "heading");
					
$of_options[] = array( "name" => "تنظیمات پشتیبان گیری و بازگردانی نسخه پشتیبان",
                    "id" => "of_backup",
                    "std" => "",
                    "type" => "backup",
					"desc" => 'شما می توانید از تغییرات اعمال شده بر روی تنظیمات این قال نسخه پشتیبان تهیه کنید',
					);
					
$of_options[] = array( "name" => "انتقال داده های تنظیمات قالب",
                    "id" => "of_transfer",
                    "std" => "",
                    "type" => "transfer",
					"desc" => 'برای بازگردانی نسخه پشتیبان از این قسمت استفاده کنید
						',
					);
					
	}
}
?>
