<?php  

/* Add Meta Box for Portfolio */
function imediapixel_portfolio_meta_boxes() {
  $meta_boxes = array(
    "portfolio_link" => array(
      "name" => "_portfolio_link",
      "title" => __("Preview link",'myhosting'),
      "description" => "please enter image or video url if you want to create video post.<br/>Images : <br />http://localhost/myhosting/wp-content/uploads/2010/07/image.jpg<br/> Video : <br />
      http://www.youtube.com/watch?v=tESK9RcyexU<br />
      http://vimeo.com/12816548<br />
      http://localhost/myhosting/wp-content/uploads/2010/07/sample.3gp<br />
      http://localhost/myhosting/wp-content/uploads/2010/07/sample.mp4<br />
      http://localhost/myhosting/wp-content/uploads/2010/07/sample.mov<br />
      http://www.adobe.com/jp/events/cs3_web_edition_tour/swfs/perform.swf?width=680&height=405<br />
      Note : for swf movie, you need to specify the width and height for movie, as above example",
      "type" => "text"
    )
  );
  
  return apply_filters( 'imediapixel_portfolio_meta_boxes', $meta_boxes );
}

function imediapixel_slideshow_meta_boxes() {

  $meta_boxes = array(
    "slideshow_types" => array(
      "name" => "_slideshow_types",
      "title" => __("Slideshow Style",'myhosting'),
      "description" => __("Custom Stage style for slideshow.",'myhosting'),
      "type" => "select",
      "options" => array("Image at Right","Image at Left","Center Text and Image","Full Image")
    ),
    "slideshow_url" => array(
      "name" => "_slideshow_url",
      "title" => __("Custom Slideshow URL",'myhosting'),
      "description" => __("Custom URL for slideshow items.",'myhosting'),
      "type" => "text"
    ),
    "slideshow_url_text" => array(
      "name" => "_slideshow_url_text",
      "title" => __("Read more button text",'myhosting'),
      "description" => __("Cusom text for your slideshow button",'myhosting'),
      "type" => "text"
    ),
    "slideshow_video" => array(
      "name" => "_slideshow_video",
      "title" => __("Video",'myhosting'),
      "description" => __('Fill this box with video embed source if you want to display video as your slideshow, recommended size is 904 for width and 340 for height
      <br/>eg. &#60;iframe src="http://player.vimeo.com/video/12158329?byline=0&amp;portrait=0&amp;badge=0" width="904" height="340" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen&#62;&#60;/iframe&#62;','myhosting'),
      "type" => "textarea"
    ),
  );

	return apply_filters( 'imediapixel_slideshow_meta_boxes', $meta_boxes );
}


function imediapixel_client_meta_boxes() {
  
   $meta_boxes = array(
    "client_url" => array(
      "name" => "_client_url",
      "title" => __("Custom Client Url",'myhosting'),
      "description" => __("Please enter your custom url for your client",'myhosting'),
      "type" => "text"
    )
  );

	return apply_filters( 'imediapixel_client_meta_boxes', $meta_boxes );
}

function imediapixel_feature_meta_boxes() {
  
   $meta_boxes = array(
    "feature_content" => array(
      "name" => "_feature_content",
      "title" => __("Feature Description",'myhosting'),
      "description" => __("Please add your short brief description for feature item",'myhosting'),
      "type" => "textarea"
    )
  );

	return apply_filters( 'imediapixel_feature_meta_boxes', $meta_boxes );
}


function imediapixel_staff_meta_boxes() {
  
  $meta_boxes = array(
    "staff_linkedin" => array(
      "name" => "_staff_linkedin",
      "title" => __("Staff Linkedin",'myhosting'),
      "description" => __("Please enter the staff linkedin url here",'myhosting'),
      "type" => "text"
    ),
    "staff_twitter" => array(
      "name" => "_staff_twitter",
      "title" => __("Staff Twitter URL",'myhosting'),
      "description" => __("Please enter the staff Twitter URL here",'myhosting'),
      "type" => "text"
    ),
    "staff_facebook" => array(
      "name" => "_staff_facebook",
      "title" => __("Staff Facebook URL",'myhosting'),
      "description" => __("Please enter the staff facebook URL here",'myhosting'),
      "type" => "text"
    ),
    "staff_google_plus" => array(
      "name" => "_staff_google_plus",
      "title" => __("Staff Google Plus URL",'myhosting'),
      "description" => __("Please enter the staff Google Plus URL here",'myhosting'),
      "type" => "text"
    )
  );

	return apply_filters( 'imediapixel_staff_meta_boxes', $meta_boxes );
}

function imediapixel_page_meta_boxes() {

  $meta_boxes = array(
    "page_sidebar_widget" => array(
      "name" => "_page_sidebar_widget",
      "title" => __("Sidebar Position",'myhosting'),
      "description" => __("Select default page sidebar widget",'myhosting'),
      "std" => "None",
      "type" => "select_sidebar_widget"
    )
  );

	return apply_filters( 'imediapixel_slideshow_meta_boxes', $meta_boxes );
}

function imediapixel_testimonial_meta_boxes() {

  $meta_boxes = array(
    "subtitle" => array(
      "name" => "_subtitle",
      "title" => __("Subtitle",'myhosting'),
      "description" => __("Add your title subtitle, eg. company name or business title",'myhosting'),
      "std" => "None",
      "type" => "text"
    )
  );

	return apply_filters( 'imediapixel_testimonial_meta_boxes', $meta_boxes );
}

function  portfolio_meta_boxes() {
  global $post;
  $meta_boxes = imediapixel_portfolio_meta_boxes();
  ?>

  <table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = get_post_meta( $post->ID, $meta['name'], true );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
  </table>
  <?php
}

function  feature_meta_boxes() {
  global $post;
  $meta_boxes = imediapixel_feature_meta_boxes();
  ?>

  <table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = get_post_meta( $post->ID, $meta['name'], true );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
  </table>
  <?php
}

function slideshow_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_slideshow_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function client_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_client_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function staff_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_staff_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function testimonial_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_testimonial_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function page_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_page_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );
    elseif ( $meta['type'] == 'select_slidehow' )
			get_meta_select_slideshow( $meta, $value );
    elseif ( $meta['type'] == 'select_sidebar_widget' )
			get_meta_select_sidebar_widget( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function features_meta_boxes() {
	global $post;
	$meta_boxes = imediapixel_features_meta_boxes(); ?>

	<table class="form-table">
	<?php foreach ( $meta_boxes as $meta ) :

		$value = stripslashes( get_post_meta( $post->ID, $meta['name'], true ) );

		if ( $meta['type'] == 'text' )
			get_meta_text_input( $meta, $value );
		elseif ( $meta['type'] == 'textarea' )
			get_meta_textarea( $meta, $value );
		elseif ( $meta['type'] == 'select' )
			get_meta_select( $meta, $value );
    elseif ( $meta['type'] == 'select_sidebar_widget' )
			get_meta_select_sidebar_widget( $meta, $value );

	endforeach; ?>
	</table>
<?php
}

function get_meta_text_input( $args = array(), $value = false ) {

	extract( $args ); ?>

	<tr>
		<th style="width:10%;">
			<label for="<?php echo $name; ?>"><?php echo $title; ?></label>
		</th>
		<td>
			<input type="text" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php echo esc_html( $value, 1 ); ?>" size="30" tabindex="30" style="width: 97%;" /><br /><small><?php echo $args['description']; ?></small>
			<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce( plugin_basename( __FILE__ ) ); ?>" />
		</td>
	</tr>
	<?php
}

function get_meta_select( $args = array(), $value = false ) {

	extract( $args ); ?>

	<tr>
		<th style="width:10%;">
			<label for="<?php echo $name; ?>"><?php echo $title; ?></label>
		</th>
		<td>
			<select name="<?php echo $name; ?>" id="<?php echo $name; ?>">
			<?php foreach ( $options as $option ) : ?>
				<option <?php if ( htmlentities( $value, ENT_QUOTES ) == $option ) echo ' selected="selected"'; ?>>
					<?php echo $option; ?>
				</option>
			<?php endforeach; ?>
			</select><br /><small><?php echo $args['description']; ?></small>
			<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce( plugin_basename( __FILE__ ) ); ?>" />
		</td>
	</tr>
	<?php
}


function get_meta_select_slideshow( $args = array(), $value = false ) {

	extract( $args ); 
  
  $slideshow_categories =  get_categories('taxonomy=slideshow_category&orderby=ID&title_li=&hide_empty=0');
  ?>
  
	<tr>
		<th style="width:10%;">
			<label for="<?php echo $name; ?>"><?php echo $title; ?></label>
		</th>
		<td>
			<select name="<?php echo $name; ?>" id="<?php echo $name; ?>">
			<?php foreach ( $slideshow_categories as $option ) : ?>
				<option <?php if ( htmlentities( $value, ENT_QUOTES ) == $option->cat_name ) echo ' selected="selected"'; ?>>
					<?php echo $option->cat_name; ?>
				</option>
			<?php endforeach; ?>
			</select><br /><small><?php echo $args['description']; ?></small>
			<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce( plugin_basename( __FILE__ ) ); ?>" />
		</td>
	</tr>
	<?php
}


function get_meta_select_sidebar_widget( $args = array(), $value = false ) {

	extract( $args ); 
  
  $dynamic_widget_sidebar_areas = array(
		/* rename or create new dynamic sidebars */
    "General Sidebar",
    "About Sidebar",
		"Blog Sidebar",
		"Sidebar Page 1",
		"Sidebar Page 2",
		"Sidebar Page 3",
		"Sidebar Page 4",
		"Sidebar Page 5"
  );
  ?>
	<tr>
		<th style="width:10%;">
			<label for="<?php echo $name; ?>"><?php echo $title; ?></label>
		</th>
		<td>
			<select name="<?php echo $name; ?>" id="<?php echo $name; ?>">
			<?php foreach ( $dynamic_widget_sidebar_areas as $option ) : ?>
				<option <?php if ( htmlentities( $value, ENT_QUOTES ) == $option) echo ' selected="selected"'; ?>>
					<?php echo $option; ?>
				</option>
			<?php endforeach; ?>
			</select><br /><small><?php echo $args['description']; ?></small>
			<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce( plugin_basename( __FILE__ ) ); ?>" />
		</td>
	</tr>
	<?php
}

function get_meta_textarea( $args = array(), $value = false ) {

	extract( $args ); ?>

	<tr>
		<th style="width:10%;">
			<label for="<?php echo $name; ?>"><?php echo $title; ?></label>
		</th>
		<td>
			<textarea name="<?php echo $name; ?>" id="<?php echo $name; ?>" cols="60" rows="2" tabindex="30" style="width: 97%;"><?php echo esc_html( $value, 1 ); ?></textarea><br /><small><?php echo $args['description']; ?></small>
			<input type="hidden" name="<?php echo $name; ?>_noncename" id="<?php echo $name; ?>_noncename" value="<?php echo wp_create_nonce( plugin_basename( __FILE__ ) ); ?>" />
		</td>
	</tr>
	<?php
}

function imediapixel_create_meta_box() {
	global $theme_name;
  
  if (isset($post_id)) {
    $post_id = ($_GET['post']) ? $_GET['post'] : $_POST['post_ID'] ;
    $template_file = get_post_meta($post_id,'_wp_page_template',TRUE); 
  }
  
  add_meta_box( 'page-meta-boxes', __('Page options','myhosting'), 'page_meta_boxes', 'page', 'normal', 'high' );
	add_meta_box( 'slideshow-meta-boxes', __('Slideshow options','myhosting'), 'slideshow_meta_boxes', 'slideshow', 'normal', 'high' );
	add_meta_box( 'portfolio-meta-boxes', __('Portfolio options','myhosting'), 'portfolio_meta_boxes', 'portfolio', 'normal', 'high' );
  add_meta_box( 'client-meta-boxes', __('Client options','myhosting'), 'client_meta_boxes', 'client', 'normal', 'high' );
  add_meta_box( 'staff-meta-boxes', __('Staff options','myhosting'), 'staff_meta_boxes', 'staff', 'normal', 'high' );
  add_meta_box( 'feature-meta-boxes', __('Feature options','myhosting'), 'feature_meta_boxes', 'feature', 'normal', 'high' );
  add_meta_box( 'testimonial-meta-boxes', __('Testimonial options','myhosting'), 'testimonial_meta_boxes', 'testimonial', 'normal', 'high' );
}

function imediapixel_save_meta_data( $post_id ) {
	global $post;
  
  if ( isset( $_POST['post_type']) && 'slideshow' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_slideshow_meta_boxes() );
  else if ( isset( $_POST['post_type']) && 'portfolio' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_portfolio_meta_boxes() );
  else if ( isset( $_POST['post_type']) && 'client' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_client_meta_boxes() );
  else if ( isset( $_POST['post_type']) && 'staff' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_staff_meta_boxes() );
  else if ( isset( $_POST['post_type']) && 'testimonial' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_testimonial_meta_boxes() );
  else if ( isset( $_POST['post_type']) && 'feature' == $_POST['post_type'] )
    $meta_boxes = array_merge( imediapixel_feature_meta_boxes() );
  else
    $meta_boxes = array_merge( imediapixel_page_meta_boxes() );
  
	foreach ( $meta_boxes as $meta_box ) :

		if ( !isset($_POST[$meta_box['name'] . '_noncename']) || !wp_verify_nonce( $_POST[$meta_box['name'] . '_noncename'], plugin_basename( __FILE__ ) ) )
			return $post_id;
    
    elseif ( 'page' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
      
		elseif ( 'slideshow' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;

		elseif ( 'portfolio' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
      
   elseif ( 'staff' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
      
   elseif ( 'client' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
      
   elseif ( 'testimonial' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
   
   elseif ( 'feature' == $_POST['post_type'] && !current_user_can( 'edit_post', $post_id ) )
			return $post_id;
               
		$data = stripslashes( $_POST[$meta_box['name']] );

		if ( get_post_meta( $post_id, $meta_box['name'] ) == '' )
			add_post_meta( $post_id, $meta_box['name'], $data, true );

		elseif ( $data != get_post_meta( $post_id, $meta_box['name'], true ) )
			update_post_meta( $post_id, $meta_box['name'], $data );

		elseif ( $data == '' )
			delete_post_meta( $post_id, $meta_box['name'], get_post_meta( $post_id, $meta_box['name'], true ) );

	endforeach;
}



/* Add a new meta box to the admin menu. */
	add_action( 'admin_menu', 'imediapixel_create_meta_box' );

/* Saves the meta box data. */
	add_action( 'save_post', 'imediapixel_save_meta_data' );

?>