<?php

/*-----------------------------------------------------------------------------------
  Custom excerpt base on word number
-----------------------------------------------------------------------------------*/
function imediapixel_excerpt($excerpt_length) {
  global $post;
	$content = $post->post_content;
	$words = explode(' ', $content, $excerpt_length + 1);
	if(count($words) > $excerpt_length) :
		array_pop($words);
		array_push($words, '...');
		$content = implode(' ', $words);
	endif;
  
  $content = strip_tags(strip_shortcodes($content));
  
	return $content;

}

/*---------------------------------------------------------
  Comment list 
-----------------------------------------------------------*/
function imediapixel_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
      <div class="avatar"><?php echo get_avatar($comment,$size='60'); ?></div>
      <div class="comment-text" ><h6><?php echo get_comment_author_link(); ?></h6>
      <small>
      <?php printf(__('%1$s at %2$s','prime'), get_comment_date(),  get_comment_time()) ?><?php edit_comment_link(__('(Edit)','prime'),'  ','') ?>
      <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </small>
      <?php if ($comment->comment_approved == '0') : ?>
			<em><?php echo __('Your comment is awaiting moderation.','prime');?></em>
			<div class="clear"></div>
			<?php endif; ?>
		  <?php comment_text() ?>
      </div>
  </li>
<?php
}

// Output the styling for the seperated Pings
function imediapixel_list_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment; ?>
    <li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?></li>
<?php }


/*-----------------------------------------------------------------------------------
    Add Javascripts
-----------------------------------------------------------------------------------*/
function imediapixel_add_javascripts() {
  
  wp_enqueue_scripts('jquery');
  wp_enqueue_script( 'jquery.easing', get_template_directory_uri().'/js/jquery.easing.1.3.js', array( 'jquery' ) );
  wp_enqueue_script( 'flexslider', get_template_directory_uri().'/js/jquery.flexslider-min.js', array( 'jquery' ) );
  wp_enqueue_script( 'jquery.fitvids', get_template_directory_uri().'/js/jquery.fitvids.js', array('jquery'));
  wp_enqueue_script( 'jquery.tools.tabs.min', get_template_directory_uri().'/js/jquery.tools.tabs.min.js', array( 'jquery' ) );
  wp_enqueue_script( 'prettyPhoto', get_template_directory_uri().'/js/jquery.prettyPhoto.js', array( 'jquery' ) );
  wp_enqueue_script( 'mobilemenu', get_template_directory_uri().'/js/jquery.mobilemenu.js', array( 'jquery' ) );
  wp_enqueue_script( 'superfish', get_template_directory_uri().'/js/superfish.js', array( 'jquery' ) );
  wp_enqueue_script( 'jquery.tweet', get_template_directory_uri().'/js/jquery.tweet.js', array( 'jquery' ) );
  
  if (is_page_template('portfolio-template.php')) {
    wp_enqueue_script( 'isotope', get_template_directory_uri().'/js/jquery.isotope.min.js', array( 'jquery' ) );
    wp_enqueue_script( 'portfolio', get_template_directory_uri().'/js/portfolio.js', array( 'jquery' ) );
  }
    
  wp_enqueue_script( 'functions', get_template_directory_uri().'/js/functions.js', array( 'jquery' ) );
   
}

if (!is_admin()) {
  add_action( 'wp_print_scripts', 'imediapixel_add_javascripts' ); 
}

/*-----------------------------------------------------------------------------------
    Add Stylesheet
-----------------------------------------------------------------------------------*/
function imediapixel_add_stylesheet() { 
  ?>
   <link rel="stylesheet" href="<?php echo get_template_directory_uri();?>/css/responsive.css" type="text/css" media="screen" />
<?php 
}

add_action('wp_head', 'imediapixel_add_stylesheet');


/*-----------------------------------------------------------------------------------
    Register Nav Menu Features 
-----------------------------------------------------------------------------------*/
register_nav_menus( array(
	'topnav' => __( 'Main Navigation','myhosting')
) );

/* Remove Default Container for Nav Menu Features */
function imediapixel_nav_menu_args( $args = '' ) {
	$args['container'] = false;
	return $args;
} 
add_filter( 'wp_nav_menu_args', 'imediapixel_nav_menu_args' );

/*-----------------------------------------------------------------------------------
    Client List
-----------------------------------------------------------------------------------*/
function imediapixel_client_list($title="Our Clients",$num=-1,$orderby="date") {
  global $post;
  
  $content = '';
  
  $content .= '<div class="client-list">';
  
  if ($title !="") {
    $content .= $title;
  } 
  
  $content .= '<div class="clear"></div>';
    
  query_posts(array( 'post_type' => 'client', 'showposts' => $num,'orderby'=>$orderby,'order'=>'DESC'));
  
  while (have_posts()) : the_post();
  $client_url = get_post_meta($post->ID,"_client_url",true) ? get_post_meta($post->ID,"_client_url",true) : get_permalink();
  $thumb   = get_post_thumbnail_id();
  $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
  $image   = aq_resize( $img_url, 160, 70, true ); //resize & crop the image
  if ($image) {
    $content .= '<a href="'.$client_url.'"><img src="'.$image.'" alt="" /></a>';
  }
  endwhile;
  wp_reset_query();
  $content .= '</div>';
  
  return $content;
}

/*-----------------------------------------------------------------------------------
    Staff List
-----------------------------------------------------------------------------------*/
function imediapixel_staff_list($title="Our Staff",$num=4,$orderby="date",$column=2) {
  global $post;
  
  $out = "";
  $out .= '<div class="row">';
  $out .= '<div class="staff-list">';
      
      $out .= '<div class="twelve columns"><h4>'.$title.'</h4></div>';
      
        query_posts(array( 'post_type' => 'staff', 'posts_per_page' => $num,'orderby'=>$orderby,'order'=>'DESC'));
        while (have_posts()) : the_post();
        $staff_linkedin = get_post_meta($post->ID,"_staff_linkedin",true);
        $staff_twitter = get_post_meta($post->ID,"_staff_twitter",true);
        $staff_facebook = get_post_meta($post->ID,"_staff_facebook",true);
        $staff_google_plus = get_post_meta($post->ID,"_staff_google_plus",true);
        $thumb   = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
        $image   = aq_resize( $img_url, 100, 182, true ); //resize & crop the image
        
        $out .= '<div class="six columns">'; 
        $out .= '<div class="staff-thumb">';
          if ($image) { 
            $out .= '<img src="'.$image.'" alt="" class="img-border2 alignleft" />';
          } 
        $out .= '</div>';
        $out .= '<div class="staff-content">';
          $out .= '<h6>'.get_the_title().'</h6>';
          $out .= '<ul class="staff_social">';
            if ($staff_linkedin !="") { 
              $out .= '<li><a href="'.$staff_linkedin.'" title="'. __('Get in Touch','myhosting').'" class="tooltip"><img src="'.get_template_directory_uri().'/images/linkedin.png" /></a></li>';
            }
            if ($staff_twitter !="") {
              $out .= '<li><a href="'.$staff_twitter.'" title="'. __('Get in Touch','myhosting').'" class="tooltip"><img src="'.get_template_directory_uri().'/images/twitter.png" /></a></li>';
            }
            if ($staff_facebook !="") {
              $out .= '<li><a href="'.$staff_facebook.'" title="'. __('Get in Touch','myhosting').'" class="tooltip"><img src="'.get_template_directory_uri().'/images/facebook.png" /></a></li>';
            }
            if ($staff_google_plus !="") {
              $out .= '<li><a href="'.$staff_google_plus.'" title="'. __('Get in Touch','myhosting').'" class="tooltip"><img src="'.get_template_directory_uri().'/images/googleplus.png" /></a></li>';
            }
          $out .= '</ul>';
          $out .= '<p>'.get_the_excerpt().'</p>';
        $out .= '</div>';
      $out .= '</div>';
    endwhile;
    wp_reset_query();
  $out .= '</div>';
  $out .= '</div>';
  
  return $out;
}


/*-----------------------------------------------------------------------------------
    Latest News
-----------------------------------------------------------------------------------*/
function imediapixel_latestnews($title="",$cat,$num=4,$orderby="date",$text_limit=12) {
  global $post;
  
  if ($title!="") echo $title;
  query_posts(array('cat'=>$cat,'showposts'=>$num,'orderby'=>$orderby));      
    $out = '<ul class="latestnews">';
      while (have_posts()) : the_post();
        $thumb   = get_post_thumbnail_id();
        $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
        $image   = aq_resize( $img_url, 42,42, true ); //resize & crop the image
        $out .= '<li>';
        if (function_exists('has_post_thumbnail') && has_post_thumbnail()) {
          $out .= '<img src="'.$image.'" alt="" class="alignleft"/>';
        }
        $out .= '<a href="'.get_permalink().'">'.get_the_title().'</a>';
        $out .= '<p class="newsdate">'.get_the_time( get_option('date_format') ).'</p>';
        //$out .= '<p class="newscontent">'.imediapixel_excerpt($text_limit).'</p>';
        $out .= '<div class="clear"></div></li>';
    endwhile; wp_reset_query();
    $out .= '</ul>';
  return $out;
}

/*-----------------------------------------------------------------------------------
    Popular News
-----------------------------------------------------------------------------------*/
function imediapixel_popular_news($title="",$num=3) {
  global $post,$data;
  
  if ($title!="") echo $title;
  ?>
  
  <ul class="popular-list">
  <?php
  $blog_cats_include = $data['blog_categories'];
  if(is_array($blog_cats_include)) {
    $blog_include = implode(",",$blog_cats_include);
  } 
  query_posts(array('cat'=>$blog_include,'posts_per_page'=>$num,'orderby'=>'comment_count'));
  while (have_posts()) : the_post();
    $thumb   = get_post_thumbnail_id();
    $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
    $image   = aq_resize( $img_url, 45,45, true ); //resize & crop the image
  ?>
    <li>
      <?php if ($image) { ?>
        <img src="<?php echo $image;?>" alt="" class="img-border" /> 
      <?php } ?>                  
        <p class="popular-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></p>
        <p class="comment-count"><?php comments_popup_link(__('0 Comment','myhosting'),__('1 Comment','myhosting'),__('% Comments','myhosting'));?></p>                        
    </li> 
    <?php endwhile; wp_reset_query();?>
    </ul>
    <?php
}

/*-----------------------------------------------------------------------------------
    Testimonials
-----------------------------------------------------------------------------------*/ 
function imediapixel_testimonials($title="",$num=1,$orderby="date") {
  global $post,$data;
  
  $content = '';
  
  if ($title !="") $content .= "<h4>$title</h4>";
  
  query_posts(array( 'post_type' => 'testimonial', 'posts_per_page' => $num,"orderby" => $orderby,'order'=> 'DESC'));
        
  $counter = 0;
  while ( have_posts() ) : the_post();
  $counter++;
  $thumb   = get_post_thumbnail_id();
  $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
  $image = aq_resize( $img_url, 48, 48, true ); //resize & retain image proportions (soft crop)
  $subtitle = get_post_meta($post->ID,'_subtitle',true);
  
  $content .= '<div class="testi-container">';                        	
  $content .= '  <div class="testi-text">';
      $content .= '<blockquote>';
        $content .= get_the_content();
      $content .= '</blockquote>';                                              
    $content .= '</div>';
    $content .= '<div class="clear"></div>';                                                                      
    $content .= '</div>';
    $content .= '<div class="testi-baloon"></div>';
    $content .= '<div class="testi-image">';
      if ($image) {
        $content .= '<img src="'.$image.'" alt="" />';
     }                     
    $content .= '</div>';
    $content .= '<div class="testi-name">'.get_the_title().'<br/><span class="company-name">'.$subtitle.'</span></div>';
    $content .= '<div class="clear"></div>';
  endwhile; wp_reset_query();
  
  return $content;
}

/*-----------------------------------------------------------------------------------
    Features List
-----------------------------------------------------------------------------------*/ 
function imediapixel_features_list($category="all",$column=3,$num=-1,$orderby="date") {
  global $post,$data;
  
  $content = '';
  $content .= '<ul class="features-list">';
  if ($category=="all" || $category=="" ) {
    $features = new WP_Query(array( 'post_type' => 'feature', 'posts_per_page' => $num,"orderby" => $orderby,'order'=> 'DESC'));  
  } else {
    $features = new WP_Query(
      array( 
        'post_type' => 'feature', 
        'posts_per_page' => $num,
        "orderby" => $orderby,
        'order'=> 'DESC',
        'tax_query' => array(
      		array(
      			'taxonomy' => 'feature_category',
      			'field' => 'slug',
      			'terms' => $category
      		))
      ));
      
  }
  
  while ( $features->have_posts() ) : $features->the_post();
    $feature_content = get_post_meta($post->ID,"_feature_content",true);
    $thumb   = get_post_thumbnail_id();
    $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
    $image_64 = aq_resize( $img_url,64,64,true );
    $image_48 = aq_resize( $img_url,48,48,true );
  
    $content .= '<li>';
    if ($column == 3) {
      $content .= '<div class="four columns">';
    } else if ($column == 4) {
      $content .= '<div class="three columns">';
    } else {
      $content .= '<div class="six columns">';
    } 
    if ($image_64 !="" || $image_48 !="") { 
      if ($column ==3 || $column ==2) {
        $content .= '<img src="'.$image_64.'" alt="" class="aligncenter"/>';
      } else {
        $content .= '<img src="'.$image_48.'" alt="" class="aligncenter"/>';
      }
    } 
    $content .= '<h5>'.get_the_title().'</h5>';
    $content .= stripslashes($feature_content);
    $content .= '</div>';
    $content .= '</li>';
  endwhile; 
  wp_reset_query();
  $content .= '</ul><div class="clear"></div>';
  return $content;
}

/*-----------------------------------------------------------------------------------
    Twitter Feed
-----------------------------------------------------------------------------------*/
function imediapixel_twitter_feed($title="Twitter Update!",$number=3) { 
  global $data;
  
  $id = rand(100,1000);
  ?>
  
  <!-- Twitter -->
    
  <aside class="twitter-bg">
  	<?php echo $title;?>
      <div id="twitter_<?php echo $id;?>"></div>	
  </aside>
  <!-- Twitter End -->
  <script type="text/javascript">  
  jQuery(document).ready(function($) {
      $("#twitter_<?php echo $id;?>").tweet({
        join_text: "auto",
        username: "<?php echo $data['twitter_id'];?>",
        avatar_size: 0,
        count: <?php echo $number ? $number : "1";?>,
        auto_join_text_default: "",
        auto_join_text_ed: "",
        auto_join_text_ing: "",
        auto_join_text_reply: "",
        auto_join_text_url: "",
        loading_text: "loading tweets..."
      });
   });  
  </script>     
  <?php
}


/*-----------------------------------------------------------------------------------
    Get Vimeo ID
-----------------------------------------------------------------------------------*/
function vimeo_videoID($url) {
	if ( 'http://' == substr( $url, 0, 7 ) ) {
		preg_match( '#http://(www.vimeo|vimeo)\.com(/|/clip:)(\d+)(.*?)#i', $url, $matches );
		if ( empty($matches) || empty($matches[3]) ) return __('Unable to parse URL', 'ovum');

		$videoid = $matches[3];
		return $videoid;
	}
}

/*-----------------------------------------------------------------------------------
    Get Youtube ID
-----------------------------------------------------------------------------------*/
function youtube_videoID($url) {
	preg_match( '#http://(www.youtube|youtube|[A-Za-z]{2}.youtube)\.com/(watch\?v=|w/\?v=|\?v=)([\w-]+)(.*?)#i', $url, $matches );
	if ( empty($matches) || empty($matches[3]) ) return __('Unable to parse URL', 'ovum');
  
  $videoid = $matches[3];
	return $videoid;
}

/*-----------------------------------------------------------------------------------
    Make theme available for translation
    Translations can be filed in the /languages/ directory
-----------------------------------------------------------------------------------*/
load_theme_textdomain( 'myhosting', get_template_directory() . '/languages' );

$locale = get_locale();
$locale_file = get_template_directory(). "/languages/$locale.php";
if ( is_readable( $locale_file ) )
	require_once( $locale_file );


/*-----------------------------------------------------------------------------------
    Enable Post Thumbnail Feature 
-----------------------------------------------------------------------------------*/
if (function_exists('add_theme_support')) {
	add_theme_support( 'post-thumbnails');
	set_post_thumbnail_size( 200, 200 );
	add_image_size('post_thumb', 800, 800, true);
}

/*-----------------------------------------------------------------------------------
    Thumbnail in Portfolio List  
-----------------------------------------------------------------------------------*/
if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {
 
function fb_AddThumbColumn($cols) {
 
$cols['thumbnail'] = __('Thumbnail','myhosting');
 
return $cols;
}
 
function fb_AddThumbValue($column_name, $post_id) {
 
$width = (int) 100;
$height = (int) 100;
 
if ( 'thumbnail' == $column_name ) {
  // thumbnail of WP 2.9
  $thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
  // image from gallery
  $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
  if ($thumbnail_id)
  $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
  elseif ($attachments) {
    foreach ( $attachments as $attachment_id => $attachment ) {
      $thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
    }
  }
    if ( isset($thumb) && $thumb ) {
    echo $thumb;
    } else {
    echo __('None','myhosting');
    }
  }
}
 
// for posts
add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
 
// for pages
add_filter( 'manage_pages_columns', 'fb_AddThumbColumn' );
add_action( 'manage_pages_custom_column', 'fb_AddThumbValue', 10, 2 );

// for Portfolio
add_filter( 'manage_portfolio_columns', 'fb_AddThumbColumn' );
add_action( 'manage_portfolio_custom_column', 'fb_AddThumbValue', 10, 2 );

// for slideshow
add_filter( 'manage_slideshow_columns', 'fb_AddThumbColumn' );
add_action( 'manage_slideshow_custom_column', 'fb_AddThumbValue', 10, 2 );
}

add_filter('manage_edit-portfolio_columns', 'portfolio_columns');
function portfolio_columns($columns) {
    $columns['category'] = 'Portfolio Category';
    return $columns;
}

add_action('manage_posts_custom_column',  'portfolio_show_columns');
function portfolio_show_columns($name) {
    global $post;
    switch ($name) {
        case 'category':
            $cats = get_the_term_list( $post->ID, 'portfolio_category', '', ', ', '' );
            echo $cats;
    }
}


/*-----------------------------------------------------------------------------------
    Relate Portfolio
-----------------------------------------------------------------------------------*/
function imediapixel_get_related_portfolio($number=3,$title="Related Portfolio") {
  global $post,$data;
  
  if ($title !="") { ?>
    <div class="twelve columns">
      <h4><?php echo $title;?></h4>
    </div>
  <?php } ?>
  
  <ul class="pf-box-3col">
    <?php
    
    $thumbnail_link = $data['thumbnail_link'];
    
    $myterms = get_the_terms($post->ID,'portfolio_category');
    foreach ($myterms as $myterm ) {
      $counter = 0;
      query_posts(array( 'post_type' => 'portfolio', 'posts_per_page' => $number,'portfolio_category'=>$myterm->name,'orderby'=>'rand','post__not_in' => array( $post->ID)));
    }
    $counter = 0;
    while ( have_posts() ) : the_post();
    $counter++;
      $pf_link = get_post_meta($post->ID, '_portfolio_link', true );
      $pf_url = get_post_meta($post->ID, '_portfolio_url', true );
      $portfolio_type = get_post_meta($post->ID, '_portfolio_type', true );
      $thumb   = get_post_thumbnail_id();
      $img_url = wp_get_attachment_url( $thumb,'full' ); //get full URL to image (use "large" or "medium" if the images too big)
      $image   = aq_resize( $img_url, 284, 141, true ); //resize & crop the image
      
      echo '<li class="';
      $myterms = get_the_terms($post->ID,'portfolio_category');
      foreach ($myterms as $myterm ) {
       echo $myterm->slug."\n";
      }           
      echo '" ';
      echo '>'; 
      ?>
          <span class="link-zoom">
          <?php if ($thumbnail_link == "Image Lightbox") { ?>
            <a href="<?php echo ($pf_link) ? $pf_link : $img_url;?>" rel="prettyPhoto" title="<?php the_title();?>">
          <?php } else if ($thumbnail_link == "Portfolio Item") { ?>
            <a class="fade" href="<?php the_permalink();?>" title="<?php the_title();?>">
          <?php } ?>
            <img src="<?php echo $img_url;?>" alt=""  class="fade"/>
          </a>                         
          </span>
        
          <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
          <p><?php echo get_the_excerpt();?></p>   
    <?php endwhile;?>
 	  </ul>  
  <?php
}

/*-----------------------------------------------------------------------------------
    Google Analytic
-----------------------------------------------------------------------------------*/
function google_analytics(){
  global $data;
	$google_analytics =  $data['google_analytics'];
	if ( $google_analytics <> "" ) 
		echo stripslashes($google_analytics) . "\n";
}
add_action('wp_footer','google_analytics');

/*-----------------------------------------------------------------------------------
    Enable Shortcode for excerpt and text widget
-----------------------------------------------------------------------------------*/
add_filter( 'the_excerpt', 'shortcode_unautop');
add_filter( 'the_excerpt', 'do_shortcode');

add_filter( 'widget_text', 'shortcode_unautop');
add_filter( 'widget_text', 'do_shortcode');

add_theme_support('automatic-feed-links');

/*-----------------------------------------------------------------------------------
    Add excerpt for page
-----------------------------------------------------------------------------------*/
add_action( 'init', 'my_add_excerpts_to_pages' );
function my_add_excerpts_to_pages() {
     add_post_type_support( 'page', 'excerpt' );
}

/*-----------------------------------------------------------------------------------
    Pagination
-----------------------------------------------------------------------------------*/
function pagination($pages = '', $range = 4)
{
     $showitems = ($range * 2)+1; 
 
     global $paged;
     if(empty($paged)) $paged = 1;
 
     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }  
 
     if(1 != $pages)
     {
         echo "<div class=\"pages blogpages\">";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo; First</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo; Previous</a>";
 
         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."'>".$i."</a>";
             }
         }
 
         if ($paged < $pages && $showitems < $pages) echo "<a href=\"".get_pagenum_link($paged + 1)."\">Next &rsaquo;</a>";
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>Last &raquo;</a>";
         echo "</div>\n";
     }
}


/*-----------------------------------------------------------------------------------
    Custom CSS
-----------------------------------------------------------------------------------*/

function imediapixel_custom_css() {
  global $data;
  
  $custom_css = '';
  
  if ($data['predefined_skin'] !="") {
    if ($data['predefined_skin'] == "blue") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/blue.css");'."\n";
    } else if ($data['predefined_skin'] == "soft-blue") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/soft-blue.css");'."\n";
    } else if ($data['predefined_skin'] == "red") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/red.css");'."\n";
    } else if ($data['predefined_skin'] == "dark") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/dark.css");'."\n";
    } else if ($data['predefined_skin'] == "grey") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/grey.css");'."\n";
    } else if ($data['predefined_skin'] == "green") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/green.css");'."\n";
    } else if ($data['predefined_skin'] == "teal") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/teal.css");'."\n";
    } else if ($data['predefined_skin'] == "pink") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/pink.css");'."\n";
    } else if ($data['predefined_skin'] == "purple") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/purple.css");'."\n";
    } else if ($data['predefined_skin'] == "red") {
      $custom_css .=  '@import url("'.get_template_directory_uri().'/css/skins/red.css");'."\n";
    } else if ($data['predefined_skin'] == "brown") {
      $custom_css .=  '';
    } 
  } 
  
  if ($data['body_font'] !="") {
    $custom_css .= '
      body {
        font-family :tahoma;
        font-size: '.$data['body_font']['size'].';
        color:'.$data['body_font']['color'].';
      }
    ';  
  }
  
  if ($data['custom_css'] !="") {
    $custom_css .= $data['custom_css']."\n";
  }
  
	/**echo all css**/
	$css_output = "<!-- Custom CSS -->\n<style type=\"text/css\">\n" . $custom_css . "\n</style>";
	
	if(!empty($custom_css)) {
		echo $css_output;
	}
}

add_action('wp_head', 'imediapixel_custom_css');

/*-----------------------------------------------------------------------------------
    Social bookmkarks
-----------------------------------------------------------------------------------*/
function imediapixel_social_bookmarks() { 
  global $post;
  ?>
 <div class="share-social">
    <ul class="sharesocial-bloglist">
      <li><a href="http://www.google.com/buzz/post?url=<?php echo get_permalink($post->ID); ?>" title="<?php echo __('Share with Google+','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/socials/google-plus-black.png" alt="twitter" /></a></li>
      <li><a href="http://twitter.com/home/?status=<?php the_title(); ?> : <?php echo get_permalink($post->ID); ?>" title="<?php echo __('Tweet this!','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/socials/twitter-2.png" alt="twitter" /></a></li>
      <li><a href="http://www.facebook.com/sharer.php?u=<?php the_permalink();?>&amp;amp;t=<?php the_title(); ?>" title="<?php echo __('Share on Facebook.','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/socials/facebook.png" alt="facebook" /></a></li>
      <li><a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>&amp;source="  class="tooltip" title="<?php echo __('Share on Linkedin','myhosting');?>"><img src="<?php echo get_template_directory_uri();?>/images/socials/linkedin.png" alt="linkedin" /></a></li>
      <li><a href="http://del.icio.us/post?url=<?php the_permalink(); ?>&amp;amp;title=<?php the_title(); ?>" title="<?php echo __('Bookmark on Delicious.','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/socials/delicious.png" alt="delicious" /></a></li>
      <li><a href="http://digg.com/submit?phase=2&amp;amp;url=<?php the_permalink(); ?>&amp;amp;title=<?php the_title(); ?>" title="<?php echo __('Digg this!','myhosting');?>" class="tooltip"><img src="<?php echo get_template_directory_uri();?>/images/socials/digg.png" alt="digg" /></a></li> 
    </ul>
  </div>    
  <?php
}

/*-----------------------------------------------------------------------------------
    Detect Video File Extension  
-----------------------------------------------------------------------------------*/
function detect_ext($file) {
  $ext = pathinfo($file, PATHINFO_EXTENSION);
  return $ext;
}

function is_quicktime($file) {
  $quicktime_file = array("mov","3gp","mp4");
  if (in_array(pathinfo($file, PATHINFO_EXTENSION),$quicktime_file)) {
    return true;
  } else {
    return false;
  }
}

function is_flash($file) {
  if (pathinfo($file, PATHINFO_EXTENSION) == "swf") {
    return true;
  } else {
    return false;
  }
}

function is_youtube($file) {
  if (preg_match('/youtube/i',$file)) {
    return true;
  } else {
    return false;
  }
}

function is_vimeo($file) {
  if (preg_match('/vimeo/i',$file)) {
    return true;
  } else {
    return false;
  }
}

/*-----------------------------------------------------------------------------------
    Menu description
-----------------------------------------------------------------------------------*/
class description_walker extends Walker_Nav_Menu
{
  function start_el(&$output, $item, $depth, $args)
  {
       global $wp_query;
       $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

       $class_names = $value = '';

       $classes = empty( $item->classes ) ? array() : (array) $item->classes;

       $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
       $class_names = ' class="'. esc_attr( $class_names ) . '"';

       $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

       $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
       $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
       $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
       $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

       $prepend = '';
       $append = '';
       $description  = ! empty( $item->description ) ? '<span class="menudesc">'.esc_attr( $item->description ).'</span>' : '';

       if($depth != 0)
       {
          $description = $append = $prepend = "";
       }

  		$item_output = $args->before;
  		$item_output .= '<a'. $attributes .'>';
  		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
  		$item_output .= '</a>';
  		$item_output .= $description.$args->link_after;
  		$item_output .= $args->after;

        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }
}

?>